Author Topic: Get Number of copies.  (Read 5217 times)

0 Members and 1 Guest are viewing this topic.

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Get Number of copies.
« Reply #15 on: December 10, 2007, 12:38:57 PM »
That's odd. I inspected:
Code: [Select]
(setq noc (vla-put-NumberOfCopies (vla-get-Plot (vla-get-ActiveDocument (vlax-get-acad-object))) 3))with a result of nil, then inspected:
Code: [Select]
(vla-get-numberofcopies (vla-get-Plot (vla-get-ActiveDocument (vlax-get-acad-object))))with a return value of 3. If you just inspect the (vla-get-plot (...)), you should see a <NumberOfCopies> 3 in the inpection popup in the vlide. Maybe I'm just not understanding what's being asked here, but it seems retained to me. Using 2006 plain. What all that really tells me, is you don't even need to setq varname this one.
Don't put the property, just plot and in the dialog tell it you want three plots.  I did pdf's not to waste paper, then check the value.  Mine said 1 even though it should have said 3.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

daron

  • Guest
Re: Get Number of copies.
« Reply #16 on: December 10, 2007, 12:57:23 PM »
No, I understand that. I thought this was a coding question. If you set the put-NOC to a value, then the get-NOC to a variable, immediately after it, you should have the value contained and be able to reuse it within the same call or be sure and set the variable globally... Hmm. Just had a thought, if he wanted to go from drawing to drawing, even a variable in global scope wouldn't work. However, I wonder if vl-bb-set and -ref would be useful. I haven't messed with them in a while. Then again, a long workaround would be to write-line it to a txt file somewhere as write not append, then always call that info from the text file when plotting in another drawing.